org.apache.cassandra.exceptions

## Class SyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestValidationException
          - - org.apache.cassandra.exceptions.SyntaxException

All Implemented Interfaces:
  java.io.Serializable, TransportException

    public class SyntaxException
    extends RequestValidationException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SyntaxException(java.lang.String msg)`

### Method Summary

### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

`code`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

`getMessage`

### Constructor Detail

#### SyntaxException

    public SyntaxException(java.lang.String msg)